Subject: Re: cvs connecting to a repository on Windows broken?
From: Andy Todd <[email-masked]>
To: Ronald Landheer-Cieslak <[email-masked]>
Cc: [email-masked]
Date: Tue, 01 Jul 2003 17:38:21 +0100

Ronald Landheer-Cieslak wrote:

> It won't work if it isn't Cygwin.
> 
> I don't know the first thing about the NT version of CVS - so I don't know 
> how you're supposed to indicate the drive letter. 
> 
> CVSNT has a site that may be of help, though: 
> http://www.cvsnt.org/wiki/CvsChapter29
> 
> <WAG>
> Otherwise, try back-quoting the :
> :pserver:andyt@javsource1:c\:/eglrepository
> </WAG>
> 
> rlc
> 
> On Tue, 1 Jul 2003, Andy Todd wrote:
> 
> 
>>Ronald Landheer-Cieslak wrote:
>>
>>
>>>Is the server a Cygwin CVS? If so, try using /cygdrive/c in stead of c:\
>>>
>>>:pserver:andyt@javsource1:/cygdrive/c/eglrepository
>>>
>>>HTH
>>>
>>>rlc
>>>
>>>NB: if this WAG doesn't help, try providing a bit more info, such as what 
>>>kind of CVS is running on the Win2000 server
>>>
>>>On Tue, 1 Jul 2003, Andy Todd wrote:
>>>
>>
>>[snip]
>>
>>Ronald,
>>
>>Thanks, but sadly no, its CVSNT (1.11.1)
>>
>> From reading the error messages though I don't think this will work 
>>either. The error seems to be caused by the ':' which used to seperate 
>>the server name and the path to the repository but which is now the 
>>(optional) indicator that what follows is a port number;
>>
>>:(gserver|kserver|pserver):[[user][:password]@]host[:[port]]/path
>>
>>I suspect that there is some conflict between unix style paths "/path" 
>>above and the MS-DOS style required to talk to CVSNT (which includes a 
>>':' to seperate drive and directory). Or I could be on completely the 
>>wrong track.
>>
>>Don't make me install WinCVS ;-)
>>
>>Regards,
>>Andy
>>

Ronald,

Thanks again. I found the answer (eventually) via this posting;

http://www.cvsnt.org/pipermail/cvsnt/2002-March/001261.html

The correct form (for posterity) is;

$ cvs -d:pserver:andyt@javsource1:/c//eglrepository login

etc.

Regards,
Andy
-- 
--------------------------------------------------------------------------------
 From the desk of Andrew J Todd esq - http://www.halfcooked.com/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/